## oxrq 0.1.0+ds

=== debian/changelog ===
oxrq (0.1.0+ds-2) unstable; urgency=medium

  * update git-buildpackage config:
    + stop superfluously filter out .git* files
  * update watch file:
    + mangle upstream version
  * update copyright info:
    + license patches same as main upstream license
  * relax build-dependencies for all crates

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 22 Feb 2026 12:15:51 +0100

oxrq (0.1.0+ds-1) experimental; urgency=medium

  * initial release;
    closes: bug#1125207

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 10 Jan 2026 21:57:49 +0100
