=== debian/control ===
Source: oxrq
Section: rust
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-rust (= 1),
 help2man <!nodoc>,
 librust-anyhow-dev,
 librust-clap-dev,
 librust-clap-dev,
 librust-oxhttp-dev,
 librust-oxhttp-dev,
 librust-oxigraph-dev,
 librust-oxigraph-dev,
 librust-spargebra-dev,
 libstring-shellquote-perl <!nodoc>,
 libtest2-suite-perl <!nocheck>,
 libtest2-tools-command-perl <!nocheck>,
 perl <!nocheck>,
Standards-Version: 4.7.3
Homepage: https://github.com/niklasl/oxrq
Vcs-Git: https://salsa.debian.org/debian/oxrq.git
Vcs-Browser: https://salsa.debian.org/debian/oxrq

Package: oxrq
Section: science
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Built-Using:
 ${cargo:Built-Using},
Static-Built-Using:
 ${cargo:Static-Built-Using},
Description: CLI tool for running SPARQL queries over RDF data
 OxRQ is a simple command-line tool (oxrq) for running SPARQL queries
 over a stream of RDF data or a set of RDF files.
 It uses Oxigraph for all functionality.
 .
 This tool is primarily made for working with "one-off" queries
 over a set of RDF source files on the command-line.
 It can be used to query, edit and/or create new RDF data using SPARQL.
 .
 (It is loosely inspired by the workflow of AWK,
 and in some ways aims to be an alternative
 to the venerable rasqal and rapper tools.)
 .
 Resource Description Framework (RDF) is a standard model
 for data interchange on the Web.
 .
 SPARQL is an semantic query language for databases,
 able to retrieve and manipulate data stored in RDF format.
