=== debian/tests/control ===
Test-Command: prove debian/tests/*.t
Depends:
 libtest2-suite-perl,
 libtest2-tools-command-perl,
 oxrq,
 perl,
