=== debian/watch ===
version: 5
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

Template: Github
Owner: niklasl
Project: oxrq
Uversion-Mangle: auto
Dversion-Mangle: auto
Repack-Suffix: +ds
